
Figure - Bug #118763
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】【偶现】进行APP切换过程中，切换到强制小窗应用，上划退出，进入recent
界面，任务管理器中空白卡片出现异常，少了两个
2023-06-14 14:15 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-14

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0110.C104(X104)

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-06-20

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开应用，返回桌面

2、重复1步骤进行APP切换

3、打开强制小窗应用

4、上划退出，进入任务管理器

【预期结果】

4、任务管理器空白卡片正常

【实际结果】

4、任务管理器中空白卡片出现异常

History

#1 - 2023-06-14 19:18 - CD APP-王宏

- Status changed from New to ASSIGNED

- % Done changed from 0 to 50

- Root cause set to 编码问题

■ Current conclusion

已提交

■ My analysis

在合适的位置调用补齐方法

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/207292

#2 - 2023-06-14 19:36 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨
- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-06-15

#3 - 2023-06-14 19:36 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

207292 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: Launcher: Fix recents issue when quick swipe to finish free formTC-RID: 1201-0205302IssueID: TS-R-BUG-118763Change-Id:

I1edcadddccb9025b4fe4b04976bddf8c1a5c2982

#4 - 2023-06-16 15:08 - CDTS_Test 吴诗雨

- File 20230616-150744.jpg added

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from CDTS_Test 吴诗雨 to CD APP-王宏

验证版本：

ftp://cdiot@192.168.87.46/Pre_figure/ReleaseBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-release_sorp/user/20230615/2247/FastbootBuild_HH_MCE_FSE.M.R.user.01.

00.0110.C105%28X105%29.zip

验证情况：

验证失败

#5 - 2023-06-19 16:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

208295 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

Revert AF: Launcher: Fix recents issue when quick swipe to finish free formTC-RID: 1201-0205302IssueID: TS-R-BUG-118763This reverts commit

aab275a575e7ca33a43bba82e9fe06d61e27b14d.Reason for revert: <A patch solution, not the root cause>Change-Id:

Ib9e4babbf48d4c5218045f240934002e0a7c8088

#6 - 2023-06-19 16:49 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

208365 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF: Launcher: Fix recents issue when quick swipe to finish free formTC-RID: 1201-0205302IssueID: TS-R-BUG-118763Change-Id:
ftp://cdiot@192.168.87.46/Pre_figure/ReleaseBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-release_sorp/user/20230615/2247/FastbootBuild_HH_MCE_FSE.M.R.user.01.00.0110.C105%28X105%29.zip
ftp://cdiot@192.168.87.46/Pre_figure/ReleaseBuild/Pre_figure_turbox-c2130c-la1.1-qssi12-release_sorp/user/20230615/2247/FastbootBuild_HH_MCE_FSE.M.R.user.01.00.0110.C105%28X105%29.zip


Ib78c37b8f04f03ebf7c77d0dbf5b6c20846a3471

#7 - 2023-06-19 16:50 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

■ Current conclusion

已提交

■ My analysis

之前的提交是补丁式的提交，

此次是找到了根本原因，因为小窗在RecentsView之外，未对小窗做taskRemoved的监听，

快速进入后，小窗被移除导致了展示的异常

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/208365

#8 - 2023-06-19 16:51 - CD APP-王宏

- Fixed Version changed from 2023-06-15 to 2023-06-20

#9 - 2023-06-20 15:25 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

0620版本验证通过

#10 - 2023-06-20 15:25 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#11 - 2023-06-25 21:33 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

209539 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-release_sorp

wangxl0510@thundersoft.com

AF: Launcher: Fix recents issue when quick swipe to finish free formTC-RID: 1201-0205302IssueID: TS-R-BUG-118763Change-Id:

Ib78c37b8f04f03ebf7c77d0dbf5b6c20846a3471(cherry picked from commit 9e43bcc0f563e5a5596375029c51b17519874e52)

Files

logcat.txt 8.69 MB 2023-06-14 CDTS_Test 吴诗雨

20230614-141457.jpg 142 KB 2023-06-14 CDTS_Test 吴诗雨

20230616-150744.jpg 130 KB 2023-06-16 CDTS_Test 吴诗雨
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/208365

